Bug 809778 - [UserPortal] -when cloning VM from a snapshot via UserPortal it will create with the wrong permission
[UserPortal] -when cloning VM from a snapshot via UserPortal it will create w...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Tomas Jelinek
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-04 07:17 EDT by Avihai Shoham
Modified: 2012-12-17 02:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-17 02:49:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Avihai Shoham 2012-04-04 07:17:27 EDT
when cloning a VM from a snapshot via UserPortal it created with the wrong permissions, therefore a user who clone  a VM via UserPortal will not see it


Steps to Reproduce:
1.login to UserPortal (admin/letmein!)
2.Create a VM
3.Create a snapshot 
4.Clone  VM from snapshot

Actual results:
The cloned VM will create but only administrator can see it (in WebAdmin)


Expected results:
when a user cloning VM from snapshot via UserPortal it will create with the permission that will allow the user to observe it
Comment 1 Tomas Jelinek 2012-05-03 09:34:42 EDT
patch pushed to gerrit: http://gerrit.ovirt.org/#change,4116
Comment 2 Tomas Jelinek 2012-05-11 10:05:02 EDT
git: c472c97a044415a0e07ac54fd6c4f91650473c36
Comment 3 Avihai Shoham 2012-05-15 05:30:32 EDT
verified 
dev env last hash commit 76d778768913f15672423fccdd928a84937e565d

Note You need to log in before you can comment on or make changes to this bug.